<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Encabezadopie extends Model
{
    protected $table = "ins_encabezapie";
    protected $primaryKey = 'cve_encpie';
    protected $fillable = ['encabezado_encpie', 'pie_encpie','pieIzq_encpie','pieDer_encpie', 'status_encpie'];

    public function Insdidac()
    {
        return $this->hasMany('App\InstrumentacionDidacticaEncabezadoPie', 'cve_encpie', 'cve_encpie');
    }
    public function EvaluacionDEP()
    {
        return $this->hasMany('App\DocenteEvaluacionDEP', 'cve_encpie', 'cve_encpie');
    }

    public function EvaluacionA()
    {
        return $this->hasMany('App\DocenteEvaluacionA', 'cve_encpie', 'cve_encpie');
    }
}
